<?php
class Jenis_model extends CI_model
{
    public function get_all_data()
    {
        $this->db->select('*');
        
        $this->db->from('jenis_kopi');
        return $this->db->get()->result_array();
    }

    public function add($nama,$deskripsi) 
    {
        $data = array(
            'id'    => " ",
            'nama'    => $nama,
            'deksripsi'    => $deskripsi,
        );
 
        return $this->db->insert('jenis_kopi', $data);
    }

    public function get_data_byid($id)
    {
        return $this->db->get_where('jenis_kopi', array('id' =>  $id))->row_array();
    }

    public function edit($id,$nama,$deskripsi) {
        $this->db->set('nama',$nama);
        $this->db->set('deksripsi',$deskripsi);
        $this->db->where('id',$id);
        return $this->db->update('jenis_kopi');
    }

    public function hapus($id)
    {
        $this->db->where('id', $id);
        return  $this->db->delete('jenis_kopi');
    }   
}